=== mod_ip_forwarding/Makefile ===

DSO   = mod_ip_forwarding.so
SRCS  = mod_ip_forwarding.c
OPTS  =

include ../Makefile.inc
