=== apache-1.3.9/debian/changelog ===
apache (1.3.9-14.1) stable; urgency=high

  * Non-maintainer upload by security team
  * Add patch to fix CERT VU#944335

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 19 Jun 2002 00:15:30 +0200

apache (1.3.9-14) stable; urgency=high

  * Non-maintainer upload on behalf of Simon Huggins <huggie@earth.li>
  * Applied patch from Martin Kraemer to fix mod_negotiation bug to prevent
    revealing of directory contents.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 19 Jul 2001 14:26:46 +0100

apache (1.3.9-13.2) stable; urgency=high

  * Non-maintainer upload by Security Team
  * Applied patch from Greg K-H from WireX fixing insecure creation of
    tempfiles in htpasswd and htdigest.
  * Added one more incarnation of 'chmod +x debian/ubersed' was required
  * Backported security patch from 1.3.13 that fixes a bug in mod_rewrite
    that enables an attacker to be able to access any file on the web
    server.

 -- Martin Schulze <joey@debian.org>  Thu, 25 Jan 2001 23:44:06 +0100

apache (1.3.9-13.1) frozen; urgency=low

  * [RC] debian/scripts/source.unpack: Add "-f -" to call of tar since 
    older versions defaulted to /dev/rmt0 instead of stdin for the 
    archive path (closes: #62741).
  * [RC] debian/srm.conf: Fixed default character set configuration
    (closes: #62721).
  * [RC] debian/apacheconfig: Don't mess with the DocumentRoot by 
    default (closes: #60257).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 29 Apr 2000 10:10:55 +0200

apache (1.3.9-13) frozen unstable; urgency=medium

  * [RC, security] Backported security fix for Cross Site Scripting issue
    (CERT Advisory CA-2000-02) from apache 1.3.11 patch.
  * Added default charset iso-8859-1 to initial configs.
  * [RC, critical] Perl dependency reordered to "perl5 | perl", closes:
    #61421, #62427, #60575.
  * Postinst no longer complains on missing /etc/aliases, closes: #60575.
  * Cron script detects logfile lines with whitespace, closes: #59995.
  * Fixed apxs filename edited when enabling modules (missing /g in rules
    sed); suppressed linking to -ldbm, closes: #53172.
  * The apxs in apache-dev no longer needs apache binary, closes: #47221.
  * Perms registered for suexec changed to 4755 from 4555, closes: #60147.
  * Added text from beleagured Debian Webmasters to intro.html, making it
    clear the project is not responsible for installations, closes:
    #61414.
  * LICENSE file of manual included since 1.3.9-1, closes: #42940, #60994,
    #60995.

 -- Johnie Ingram <johnie@debian.org>  Sun, 16 Apr 2000 08:29:56 -0500

apache (1.3.9-12) frozen unstable; urgency=low

  * [RC] Cron script avoids killing itself, closes: #59365, #59647,
    #59672, #59659, #59694.
  * [RC] Order of mod_rewrite and mod_alias loading fixed, closes: #47038,
    #52893, #58465.
  * [RC] Deleted line 284 of debian/rules (suid suexec), set it
    unexecutable by default, closes: #59588, #44096.
  * Loophole in console message policy exploited, closes: #23848,
    #39304, #47033, #58848.
  * Webmaster mail alias is added if needed, so apacheconfig doesn't
    ask about this during package install, closes: #38068.
  * Option --manual-modules added to apacheeconfig, so default (and
    correct in amost all cases) is to work module magic automatically,
    closes: #38068, #45301.
  * New full-auto mode added to apacheconfig for postinst "initial setup"
    use: unlike mere --update, httpd.conf and srm.conf are installed, no
    questions are asked, and some backups are omitted.
  * Added LANG=C to init script, so apache doesn't write unparsable
    logfiles, closes: #42202.
  * Apacheconfig does not attempt to set non-/var/www documentroot (since
    1.3.9 T3B), closes: #27701, #38066, #51733.
  * All incorrect manpage references to "httpd" are corrected by ubersed,
    closes: #54465.
  * Apacheconfig script does not stop apache if it isn't running.
  * Included improved suexec from Robert Varga that understands <--#exec
    with parameters (ported from 1.3.3), and includes HTTPS and
    REDIRECT_HTTPS vars, closes: #47951.

 -- Johnie Ingram <johnie@debian.org>  Thu,  9 Mar 2000 05:15:12 -0600

apache (1.3.9-11) frozen unstable; urgency=low

  * Reversed openldap2 patch, potato uses v1; closes: #49849, #58168.
  * Added debhelper tag to apache-common postinst, so doc symlink
    management works.
  * Added info file for mod_auth_mysql, closes: #56862.
  * Updated version of mod_throttle, closes: #52683.
  * Fixed example logfile locations in httpd.conf, closes: #49113.
  * Removed info files for modules not included in apache-common, closes:
    #55750, #58732.
  * Default srm.conf AddLanguage corrected from .jp to .ja, closes: #58134.
  * Added sharutils to Build-Depends (due to uudecode in rules).
  * Removed AuthAuthoritative from mod_auth_sys info (it duplicates
    command in mod_auth), closes: #45708.
  * Cron script reloads apache with a -HUP, if possible, instead of using
    apachectl which may have undesired side effects, closes: #57333.
  * Disabled phf.apache.org error in default access.conf, closes: #51732.
  * Group for new /var/www directory changed from www-data to root,
    closes: #53498.
  * Default srm.conf restricts /doc/ to localhost, closes: #34099. 
  
 -- Johnie Ingram <johnie@debian.org>  Sat, 26 Feb 2000 13:49:08 -0600

apache (1.3.9-10) unstable; urgency=low

  * Systemwide mime types file is used, closes: 45428.
  * The setenvif module is loaded by default, so running apacheconfig
    isn't necessary (a problem discovered by doogie).

 -- Johnie Ingram <johnie@debian.org>  Sat, 30 Oct 1999 21:09:43 -0500

apache (1.3.9-8) unstable; urgency=low

  * Made ubersed executable, fixing random default-config problems,
    closes: #44151, #45566, #45557.

 -- Johnie Ingram <johnie@debian.org>  Mon, 20 Sep 1999 18:01:34 -0500

apache (1.3.9-7) unstable; urgency=low

  * Compile fix for the DBS from Daniel Jacobowitz.

 -- Johnie Ingram <johnie@debian.org>  Tue, 14 Sep 1999 23:10:35 -0500


