=== debian/changelog ===
apache-perl (1.3.9-14.1-1.21.20000309-1) stable-security; urgency=high

  * Update to Apache package version 1.3.9-14.1.  Fixes security problems
    including CERT VU#944335 (chunked encoding).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 20 Jun 2002 10:01:00 -0400

apache-perl (1.3.9-13.1-1.21.20000309-1) frozen unstable; urgency=medium

  * Update to current potato versions of apache and mod_perl.
  * This is release-critical - apache 1.3.9-13 and 1.3.9-13.1 contain
    important compatibility and security fixes (Closes: #62723).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 30 Apr 2000 11:48:36 -0400

apache-perl (1.3.9-12-1.21.20000306-1) frozen unstable; urgency=medium

  * New Debian version of apache, also closing RC bugs.
  * -1's fixes (never installed) make the package functional on
    a clean install again (Closes: #57679).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 13 Mar 2000 10:25:41 -0500

apache-perl (1.3.9-11-1.21.20000306-1) frozen unstable; urgency=medium

  * New Debian version of apache, closing RC bugs.
  * New upstream version of mod_perl, also closing RC bugs.
  * Do not remove all empty directories; apache should have, e.g.,
    /etc/apache.
  * Make /usr/sbin/apacheconfig know the location of our example config
    files.
  * Do not install most of apache-dev under /usr/lib/perl5 (oops).

 -- Daniel Jacobowitz <dan@debian.org>  Tue,  7 Mar 2000 17:33:50 -0500

apache-perl (1.3.9-10-1.21-6) unstable; urgency=low

  * Initial release.
  * Based on apache 1.3.9-10 and libapache-mod-perl 1.21-6
  * De-debhelperize the main dummy rules file most of the way;
    debhelper is too smart to let us do the evil things we want to do.

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  7 Nov 1999 20:17:11 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "dan@debian.org"
End:
