=== libapache-mod-perl-1.21.20000309/debian/changelog ===
libapache-mod-perl (1.21.20000309-1) frozen unstable; urgency=high

  * New upstream release fixing a segfault in the DSO handling at startup.

 -- Daniel Jacobowitz <dan@debian.org>  Thu,  9 Mar 2000 12:14:48 -0500

libapache-mod-perl (1.21.20000306-1) frozen unstable; urgency=high

  * New upstream version, incorporating many of our patches -
    this is a bugfix release, and I consider it release-critical.
  * This does not eliminate the memory leaks, as many of them
    are not the fault of this package but of greater design problems
    in Perl; it does reduce them to about 40K from 3MB in my tests,
    so I am downgrading the bugs.
  * Clean up mod_perl_version.h better; reduce diff bloat further.
  * Do not install mod_perl.exp (AIX specific linker file).
  * Add #DEBHELPER# to postinst/prerm to handle /usr/doc.
  * Remove the 'Restart Apache?' question in the postinst.
    Also remove the 'Enable?' question.  Let the user do this by hand.
    This is fine; we'll appear commented out in the configuration
    file if we are installed along with apache, and otherwise
    the user probably knows what they want to do.  The "Restart?"
    question was also removed from the prerm, and we are now
    human-interaction-free, as we should be.
  * Remove silly bash dependency in the postinst.

 -- Daniel Jacobowitz <dan@debian.org>  Tue,  7 Mar 2000 00:00:12 -0500

libapache-mod-perl (1.21.20000114-4) frozen unstable; urgency=high

  * Attempt to shut perl down on restarts.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 21 Jan 2000 10:36:27 -0500

libapache-mod-perl (1.21.20000114-3) frozen unstable; urgency=high

  * Remove the hideous hack for DSO unloading, and implement a proper fix.
    This should prevent a few random crashes introduced by the 'fix',
    and work much more reliably.
  * Verified to work on Sparc (Closes: #47273).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 16 Jan 2000 00:41:12 -0500

libapache-mod-perl (1.21.20000114-2) frozen unstable; urgency=high

  * Rebuild - Apache/Server.pm got lost somehow.
  * Remove .cvsignore files from build.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 15 Jan 2000 21:12:45 -0500

libapache-mod-perl (1.21.20000114-1) unstable; urgency=medium

  * New upstream version from CVS.
  * Upstream seems to have fixed PATH corruption (Closes: #45564).
  * Don't preserve mod_perl_version.h any more; the CVS archive
    doesn't contain it.
  * Use $(MAKE), not make, to preserve any -j options when building.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 14 Jan 2000 18:21:12 -0500

libapache-mod-perl (1.21-6) unstable; urgency=medium

  * Support non-interactive installs, for buildd friendliness.
    Closes: #45061.
  * Don't assume httpd.conf is present (Closes: #52062).
  * Update to FHS (Closes: #45753).
  * Add dependency on liburi-perl.
  * Remove dh_testroot from clean target - clean does not always need
    root priviledges.
  * Add a kludge to prevent DBD::Pg from clobbering the environment
    (Closes: #48069).
  * Add an even more revolting kludge to prevent random crashes:
    mod_perl fails if ANY module is unloaded from the server.
    This needs (A) a better implementation if it is the accepted thing to
    do, and (B) a better understanding of the real problem.  Without
    the hack, scripts get loaded on top of Perl's state variables
    (Closes: #48634, #46906)
  * Edit Makefile.PL to make PERL_DEBUG=1 work with USE_DSO.
  * Update standards-version.
  * Add build dependencies.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 13 Jan 2000 04:55:32 -0500

libapache-mod-perl (1.21-5) unstable; urgency=medium

  * Recompile for apache 1.3.9.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 13 Sep 1999 11:17:12 -0400

libapache-mod-perl (1.21-4) unstable; urgency=medium

  * 1.21-3 retracted.  Fix even stupider rules thinkos.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 21 Jul 1999 10:56:01 -0400

libapache-mod-perl (1.21-3) unstable; urgency=medium

  * Fix rules thinkos.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 21 Jul 1999 10:56:01 -0400

libapache-mod-perl (1.21-2) unstable; urgency=medium

  * Integrate Michael's proposed NMU (closes: bug#40016, bug#41531,
    bug#40924, bug#41116, bug#41448).
  * Notice that slink/binary-alpha is out of my hands (closes: bug#33921).
  * Fix precedence problem in Apache::StatINC (patch from Roderick Schertler
    <roderick@argon.org>) (closes: bug#40728).
  * Fix modification of $_ in Apache.pm (patch from Roderick Schertler
    <roderick@argon.org>) (closes: bug#41544).
  * Scrap dh_perl use in favor of a scheme which lets me build
    libapache-mod-perl-5.004.
  * Lintian cleanups:
    * #!/user/local/bin/perl -> #!/usr/bin/perl
    * Make .pm and .pl files non-executable
  * Fix stupid typo in debian/rules (missing -f in test).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 20 Jul 1999 11:40:12 -0400

libapache-mod-perl (1.21-1) unstable; urgency=low

  * New upstream version.
  * Test for apachectl in postrm (fixes: bug#40016).
  * Modified for new perl packages.

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  6 Jul 1999 10:07:05 -0400

libapache-mod-perl (1.19-1) unstable; urgency=low

  * New upstream version.
  * Merge changes from Johnie's NMU (and clean up some of his
    scribblings in debian/).
  * Revert version display patch (upstream fix).
  * Add hacks in debian/rules clean to preserve some files
    (src/modules/perl/mod_perl_version.h and apaci/mod_perl.config).
  * Revert Makefile.PL hacks.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 21 Apr 1999 11:10:02 -0400

libapache-mod-perl (1.17-1.1) unstable; urgency=low

  * Compile for Apache 1.3.6.
  * Added dependency on the libwww-perl suite, libdevel-symdump-perl
    et. al, closes: #32047.
  * Changed debian/rules to reflect apxs in /usr/bin.
  * The postinst now uses apache-sslctl if that exists, closes: #34036.  
  * Patched to show mod_perl in the Apache string once only, closes:
    #31885.


