=== debian/control ===
Source: apache-perl
Section: web
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.0.1.1
Build-Depends: libopenldap1-dev, libgdbmg1-dev, libmysqlclient6-dev, postgresql-dev, sharutils

Package: apache-perl
Architecture: any
Depends: ${shlibs:Depends}, mime-support, apache-common (>= 1.3.9), apache-common (<< 1.3.10), perl-5.005, libwww-perl, libmime-base64-perl, libdevel-symdump-perl, data-dumper, liburi-perl
Suggests: apache-doc
Conflicts: apache-modules, apache, libapache-mod-perl
Replaces: apache-modules, apache, libapache-mod-perl
Provides: httpd, apache, libapache-mod-perl
Priority: optional
Description: Versatile, high-performance HTTP server with added Perl support
 This version of Apache contains the mod_perl module statically linked.
 .
 The most popular server in the world, Apache features a modular
 design and supports dynamic selection of extension modules at runtime.
 Some of its strong points are its range of possible customization,
 dynamic adjustment of the number of server processes, and a whole
 range of available modules including many authentication mechanisms,
 server-parsed HTML, server-side includes, access control, CERN httpd
 metafiles emulation, proxy caching, etc.  Apache also supports multiple
 virtual homing.
 .
 Separate Debian packages are available for PHP3, Java Servlet support,
 Apache-SSL, and other common extensions.  More information is available
 at http://www.apache.org/.
