=== libapache-mod-perl-1.21.20000309/debian/control ===
Source: libapache-mod-perl
Section: web
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.1.1.1
Build-Depends: apache-dev, debhelper, libwww-perl, perl-5.005, libdevel-symdump-perl, libhtml-parser-perl, libgdbmg1-dev

Package: libapache-mod-perl
Architecture: any
Depends: apache-common (>= 1.3.9-0), apache-common (<< 1.3.10-0), perl-5.005, libwww-perl, libmime-base64-perl, libdevel-symdump-perl, data-dumper, liburi-perl, ${shlibs:Depends}
Description: Integration of perl with the Apache web server
 mod_perl allows the use of Perl for just about anything
 Apache-related, including <Perl> sections in the config
 files and the famous Apache::Registry module for caching
 compiled scripts.
 .
 It can produce anywhere from a 400% to 2000% speed increase
 on sites using perl scripts, and is used on many large script-
 based web sites - for example, http://slashdot.org.
