## apache-perl 1.3.9-14.1-1.21.20000309-1.1

=== debian/changelog ===
apache-perl (1.3.9-14.1-1.21.20000309-1.1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Backport security fixes from 1.3.27 for the following issues:
    - CAN-2002-0839 (shared memory scoreboard uid/gid)
    - CAN-2002-0840 (cross-site scripting in error page)
    - CAN-2002-0843 (buffer overflows in ApacheBench ab.c)
  * Added fix against two overflowed buffer in the htdigest program

 -- Martin Schulze <joey@infodrom.org>  Tue,  5 Nov 2002 11:33:19 +0100
